Subject: RE: Should IP Security be Optional?[Was RE:draft-ietf-ipv6-cellu lar-host-00.txt -> wg last call?]

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Tue, 5 Mar 2002 16:25:00 +0100

> > No. The terminal (phone) doesn't need to act as a router to allow
 > > for multiple devices behind it to connect to the cellular 
 > interface.
 > > You could eventually have multiple serial connections to 
 > the terminal
 > > each having its own corresponding air interface 
 > connection. So it can
 > > act as a host (if you're running the IP stack + app on it) or as
 > > an L2 device (modem) for e.g. laptops behind it. That doesn't mean
 > > that there's no advantages in making it a router but it's not
 > > mandatory. 
 > 
 > The point, I think, is that the network that is seen by the devices
 > atached to the terminal must support all features of an IPv6 network
 > so that any IPv6 hosts can function when their connectivity is 
 > provided through such a terminal.  (subject to the normal bandwidth,
 > delay, packet loss etc. constraints)

Agreed, being able to provide connectivity from the "terminal" to a
generic v6 host behind it was always the aim. Overall I don't think that
there is something preventing this in the cellular host draft if we
reach agreement on the security sections. However if you're a basic standalone
host with only a cellular interface that runs a specific set of apps
then you should be free not to implement everything that a generic host
has. That is also important to have in the draft and I believe that's
what the cellular-interface-specific sections (e.g. 3gpp) are doing.

/Karim
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Wed, 6 Mar 2002 10:37:12 +0100

> > mandatory. Given that implementers need guidelines now, 
 > it's good if we
 > > only limit the scope to hosts for the moment and go onto 
 > routers once
 > > the first is complete.
 > 
 > Karim,
 > 
 > In the case of the terminal being an L2 device like a modem
 > and the IP device being a laptop there might be some care.
 > 
 > For instance, the laptop IPv6 stack might follow the 
 > specifications and
 > use NUD over that PPP link.
 > This requires that the 3G devices in the network actually support NUD
 > over the PPP link.

Agreed and they will do.
I wasn't saying that the network won't support NUDs but the host
doesn't necessarily have to. This was just to give the reason for the
MAY on NA/NSs in a basic cellular host having only a cellular interface.

 > 
 > While the draft claims it scope is about the cellular hosts
 > I wouldn't be surprised if some folks read the MAY and conclude
 > that they don't need to implement it at the first hop IPv6 router.

The first hop router (GGSN) specs belong to 3gpp because it is a special
router. I was just using the name router for simplification since
that is what it looks like from the host's IPv6 stack.
The 3gpp specs support NUDs in this first hop router so no worry about
that.

 > 
 > So I wonder if it makes sense to make this more clear in an 
 > IPv6-over-3G
 > document which would say
 > 	hosts MAY implement sending of NUD messages
 > 	routers MAY implement sending of NUD messages
 > 	routers MUST implement processing NUD messages (unicast 
 > NS messages)
 > 	hosts ??? implement processing NUD messages
 > 
 > Such careful statements would make sense that things would 
 > always interoperate.
 
Not sure if we should get into putting MUST/MAYs on the 3gpp network parts
since the GGSN is not simply a cellular router and is specified in 3gpp
specs. However I agree that clarification on the behaviour of the upstream
"router" from the host's point of view would fit nicely into an IPv6 over 3G
spec.

/Karim

---

From: [email-masked]
Date: Wed, 6 Mar 2002 13:33:10 +0200

Hi Keith,

> delay, packet loss etc. constraints)

Agreed.  I think that in general, the hosts should be able to the same 
(meaning connecting to any network - subject to layer 2 / interface
availability).

Of course, discussing when some of the basic IPv6 signaling can
be optimized, especially with respect to spefic interfaces
/ layer 2's, isn't a bad thing.

thanks,
John

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 6 Mar 2002 12:15:08 -0500

Jari,

yes you can on all nodes if you write the code.

/jim

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]]
> Sent: Monday, March 04, 2002 5:32 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: Should IP Security be Optional?[Was
> RE:draft-ietf-ipv6-cellu lar-host-00.txt -> wg last call?]
> 
> 
> [email-masked] wrote:
> 
> > This seems to presume that you can predict in advance all of the
> > applications that a user will wish to execute on a 
> particular node. Can you
> > do that?
> 
> On a workstation you can't. On a tiny cellular device you
> often can.
> 
> > Also, please note well that the 'deployment at the other 
> end' won't be
> > 'something else' if we get IPsec in every IPv6 node. I 
> thought that was the
> > whole point....
> 
> Well, the other end could still require TLS if the RFC-for-app-X
> required that. Regardless of what other RFC states something about
> security at IP layer...
> 
> Jari